Skip to main content
POST
/
v1
/
payments
/
providers
/
stripe
/
connect
/
webhook
Stripe Connect webhook
curl --request POST \
  --url https://api.unprice.dev/v1/payments/providers/stripe/connect/webhook \
  --header 'Authorization: Bearer <token>'
{
  "received": true,
  "providerEventId": "<string>",
  "status": "processed",
  "outcome": "payment_succeeded",
  "webhookEventId": "<string>",
  "invoiceId": "<string>",
  "subscriptionId": "<string>",
  "topupId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.unprice.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Webhook accepted and processed idempotently

received
enum<boolean>
required
Available options:
true
providerEventId
string
required
status
enum<string>
required
Available options:
processed,
duplicate,
ignored
outcome
enum<string>
required
Available options:
payment_succeeded,
payment_failed,
payment_reversed,
payment_dispute_reversed,
wallet_topup_settled,
provider_signup_completed,
ignored
webhookEventId
string
invoiceId
string
subscriptionId
string
topupId
string